"use strict";
this.name           = "traildetector";
this.author         = "Norby";
this.copyright      = "2016 Norby";
this.description    = "Display engine trails of other ships up to a bit over scanner range";
this.licence        = "CC BY-NC-SA 4.0";


this.startUpComplete = function() {
        var w = worldScripts.trails;
        if( w && player.ship.equipmentStatus( "EQ_TRAIL_DETECTOR" ) == "EQUIPMENT_OK" )
                w.$Zoom = true;
        else w.$Zoom = false;
}

this.playerBoughtEquipment = function(equipment) {
        if(equipment === "EQ_TRAIL_DETECTOR") {
                var w = worldScripts.trails;
                if( w ) w.$Zoom = true;
        }

        if(equipment === "EQ_REMOVE_TRAIL_DETECTOR") {
                player.ship.removeEquipment( "EQ_TRAIL_DETECTOR" );
                player.ship.removeEquipment( equipment );
        }
}

this.equipmentDamaged = this.equipmentRemoved = function(equipment) {
        if(equipment === "EQ_TRAIL_DETECTOR") {
                var w = worldScripts.trails;
                if( w ) w.$Zoom = false;
        }
}

this.equipmentRepaired = function(equipment) {
        if(equipment === "EQ_TRAIL_DETECTOR") {
                var w = worldScripts.trails;
                if( w ) w.$Zoom = true;
        }
}
